unit uViewPreview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, 
  Dialogs, uViewBase, frxClass, frxPreview, JvComponent, JvFormAutoSize;

type
  IViewPreview = interface(IViewBase)
  ['{F9A96948-4005-4E9B-8045-7B4874A05D19}']
    function GetPreview: TfrxPreview;
    property Preview : TfrxPreview read GetPreview;
  end;

  TfrViewPreview = class(TfrViewBase, IViewPreview)
    frxPreview: TfrxPreview;
  private
    function GetPreview: TfrxPreview;
  public
    property Preview : TfrxPreview read GetPreview;
  end;

implementation

{$R *.dfm}

{ TfrViewPreview }

function TfrViewPreview.GetPreview: TfrxPreview;
begin
  Result := frxPreview;
end;

initialization
  RegisterClass(TfrViewPreview);

finalization
  UnRegisterClass(TfrViewPreview);

end.

end.
